Subject: Re: [PATCH 1/3] net: phy: Check phy_driver ready before accessing

From: Andrew Lunn <[email-masked]>
Date: Thu, 7 Jun 2018 20:12:30 +0200

> Agreed. Another thing that looks suspicious to me is the driver
> overrides the private data of the device it's attaching too, in the
> `priv->phy_dev->priv = priv` bit. Seems like that could cause all
> sorts of driver corruption problems.

Ah, yes. That is very broken. Many PHYs will just explode sometime
later, since they use phdev->priv.

> But fixing that is going to require more drastic changes to how this
> driver works. So it'd be worth applying this patch in the mean time.

Patches welcome.

	Andrew